OpenAPI SpecificationJSON
API Reference

Queue

A queue object represents a basic organization unit of annotations. Annotations are imported to a queue either through a REST API upload endpoint or by sending an email to a related inbox Export is also performed on a queue using export endpoint.

Queue also specifies a schema for annotations and a connector

Annotators and viewers only see queues they are assigned to.

Queue

Attribute
Type
Description
id
read-only
integer

ID of the queue.

name
string

Name of the queue (max. 255 characters).

maxLength: 255
url
read-only
URL

URL of the queue.

workspace
URL

Workspace in which the queue should be placed (it can be set to null, but bare in mind that it will make the queue invisible in the Rossum UI and it may cause some unexpected consequences).

connector
URL

Connector associated with the queue.

Default: null
webhooks
deprecated
list[URL]

(Deprecated) Webhooks associated with the queue (serves as an alias for hooks attribute).

Default: []
hooks
list[URL]

Hooks associated with the queue.

Default: []
schema
URL

Schema which will be applied to annotations in this queue.

inbox
URL

Inbox for import to this queue.

Default: null
users
list[URL]

Users associated with this queue.

Default: []
session_timeout
string

Time before annotation will be returned from reviewing status to to_review (timeout is evaluated every 10 minutes).

Default: "01:00:00"
rir_url
deprecated
URL

(Deprecated) Use generic_engine or dedicated_engine to set AI Core Engine.

Default: null
rir_params
string | null

URL parameters to be passed to the AI Core Engine. More specific AI Core Engine parameters influencing the extraction may be set using this field.

Publicly available parameters:

  • effective_page_count (int): Limits the extraction to the first effective_page_count pages of the document. Useful to prevent data extraction from additional pages of unrelated, but included documents. Default: 32 (pages to be extracted from a document).
  • tables (boolean): Allows disabling line item data extraction. Useful to speed up data extraction when line item details are not required, especially on long documents with large tables. Default: true (line items are being extracted).
Default: null
dedicated_engine
URL

Dedicated engine used for processing documents uploaded to this queue. If dedicated_engine is set generic_engine must be null. If both engines are null, a default generic one gets set.

Default: null
generic_engine
URL

Generic engine used for processing documents uploaded to this queue. If generic_engine is set dedicated_engine must be null. If both engines are null, a default generic one gets set.

Default: null
counts
read-only
object

Count of annotations per status.

importing
integer
split
integer
failed_import
integer
to_review
integer
reviewing
integer
confirmed
integer
exporting
integer
postponed
integer
failed_export
integer
exported
integer
deleted
integer
purged
integer
rejected
integer
default_score_threshold
number (float)

Threshold used to automatically validate field content based on AI confidence scores.

min: 0, max: 1Default: 0.8
automation_enabled
boolean

Toggle for switching automation on/off.

Default: false
automation_level
"never" | "confident" | "always"

Set level of automation. always - Auto-export all documents with no validation errors. When there is an error triggered for a non-required field, such values are deleted and export is re-tried. confident - Auto-export documents with at least one validation source and no validation errors. never - Annotation is not automatically exported and must be validated in UI manually.

Default: "never"
locale
string

Typical originating region of documents processed in this queue specified in the locale format. If auto option is chosen, the locale will be detected automatically if the organization group has access to Aurora engine. Otherwise, default option (en_GB) will be used.

The locale field is a hint for the AI Engine on how to resolve some ambiguous cases during data extraction, concerning e.g. date formats or decimal separators that may depend on the locale. For example, in US the typical date format is mm/dd/yyyy whilst in Europe it is dd.mm.yyyy. A date such as "12. 6. 2018" will be extracted as Jun 12 when locale is en_GB, while the same date will be extracted as Dec 6 when locale is en_US.

Default: "en_GB"
metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
use_confirmed_state
boolean

Affects exporting - when true, confirm endpoint transitions annotation to confirmed status instead to exporting.

Default: false
document_lifetime
string | null

Data retention period -- annotations will be automatically purged this time after their creation. The format of the value is '[DD] [HH:[MM:]]ss[.uuuuuu]', e.g. 90 days retention can be set as '90 00:00:00'. Please keep in mind that purging documents in Rossum can limit its learning capabilities. This is a priced feature and has no effect unless enabled.

Default: null
status
read-only
"active" | "deletion_requested" | "deletion_in_progress" | "deletion_failed"

Current status of the queue. active - This is the default status. Queue is usable. deletion_requested - Queue is marked for deletion (by calling DELETE /v1/queues/<id>). Will be asynchronously deleted after delete_after. deletion_in_progress - Queue is currently being deleted. When a queue has this status some raise conditions may occur as the related objects are being gradually deleted. deletion_failed - Something wrong happened in the process of queue deletion. The queue may be in an inconsistent state.

Please note, that document import (via upload as well as email) is disabled while the queue status is one of deletion_requested, deletion_in_progress, deletion_failed.

Default: "active"
modified_by
read-only
URL

User that last modified the object.

modified_at
read-only
datetime

Timestamp of last modification.

settings
object

Queue UI settings.

Default: {}
columns
deprecated
list[object]

(Deprecated, use annotation_list_table instead) List that contains schema ids to be shown on a dashboard.

Default: []
hide_export_button
boolean

Toggle to uncover "Export" button on dashboard (useful when queue.use_confirmed_state = true), which allows manual export of annotations in confirmed status.

Default: true
autopilot
object | null

Autopilot configuration describing which fields can be confirmed automatically.

Default: null
accepted_mime_types
list[string]

List of MIME types which can be uploaded to the queue. This can contain wildcards such as image/* or exact type like application/pdf.

Default: []
asynchronous_export
deprecated
boolean

(Deprecated) Always set to true. The confirm endpoint returns immediately and hooks' and connector's save endpoint is called asynchronously later on. This value is used only when queue does not have a connector.

Default: true
automation
object

Queue automation settings.

Default: {}
automate_duplicates
boolean

When set to true, automation will be enabled for documents that have a duplicates. Disabled if parameter is false.

Default: true
automate_suggested_edit
boolean

When set to true, automation will be enabled for annotations containing suggested edits. Disabled if parameter is false.

Default: false
rejection_config
object

Queue rejection settings.

enabled
boolean

Dashboard Rejected is visible in application when enabled is set to true.

Default: true
suggested_recipients_sources
list[object]

Queue suggested email recipients settings.

source
"email_header" | "extracted_value" | "vendor_database" | "queue_mailing_history" | "organization_users"

Indicates source of the suggested recipients email address. email_header - Email is taken from the sender in header of the email. extracted_value - Email is extracted from annotation data - schema_id is used to find requested value. vendor_database - Email is extracted from annotation data - schema_id is used to find requested value. Value is filled by vendor matching connector. queue_mailing_history - Emails are taken from all the recipient inside all the emails send inside the email's queue. organization_users - Emails are taken from the users of related organization.

Default: "email_header"
schema_id
string

Used for finding appropriate datapoint value in annotation data (necessary only for vendor_database and extracted_value sources).

suggested_edit
"suggest" | "disable"

Allow to split document (semi-)automatically. Allowed values are suggest and disable.

Default: "disable"
dashboard_customization
object

Dashboard customization settings.

all_documents
boolean

When set to true, all UI tabs are merged into one, so the documents with different statuses are mixes in one tab instead of having its own one.

Default: false
confirmed
boolean

When set to true, UI tab for confirmed documents will be shown. Relates to the queue settings attribute use_confirmed_state is set to true.

Default: true
deleted
boolean

When set to true, UI tab for documents in deleted state will be shown.

Default: true
exported
boolean

When set to true, UI tab for documents in exported state will be shown.

Default: true
postponed
boolean

When set to true, UI tab for documents in postponed state will be shown.

Default: true
rejected
boolean

When set to true, UI tab for documents in rejected state will be shown.

Default: true
to_review
boolean

When set to true, UI tab for documents in to_review state will be shown.

Default: true
email_notifications
object

Queue email notifications settings.

recipient
object | null

Information about email address to send notifications to (e.g. about failed import). It contains keys email and name.

Default: null
unprocessable_attachments
boolean

Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply.

Default: false
email_with_no_attachments
boolean

Whether to send notification when no processable documents were found.

Default: true
postponed_annotations
boolean

Whether to send notification when annotation is postponed.

Default: false
deleted_annotations
boolean

Whether to send notification when annotation is deleted.

Default: false
workflows
object

Queue workflows settings. Talk to your Rossum representative to enable workflows for your queue.

enabled
boolean

Dashboard Workflows is visible in application when enabled is set to true. Also enables the workflow automation.

Default: false
bypass_workflows_allowed
boolean

Whether to allow to confirm annotation with option skip_workflows=true.

Default: false
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

upload_values
list[object]

Configuration of values to be specified during upload.

Default: []
id
string

ID of the value.

type
"values" | "metadata"

Type of the value - values or metadata — specify how to pass the value.

Default: "values"
data_type
"enum" | "string"

Data type of the value - enum or string.

Default: "string"
label
string

Label to be used in UI.

enum_options
array | null

List of objects with value and label fields. Only allowed for enum type.

Default: null
required
boolean

Whether the value is required to be set during upload.

Default: false
ui_upload_enabled
boolean

Flag for enabling upload for particular queue in Rossum UI.

Default: true
ui_on_edit_confirm
"annotation_list" | "edit_next" | "validate_first"

Changes edit screen confirm button behavior. Allowed values are annotation_list, edit_next, validate_first.

Default: "validate_first"
ui_validation_screen_enabled
boolean

Flag for enabling validation screen for a particular queue in Rossum UI. If disabled, opening of a document will trigger a redirect to an edit screen.

Default: true
ui_edit_values
list[object]

Configuration of values to be specified during edit_pages.

Default: []
id
string

ID of the value.

label
string

Label to be used in UI.

data_type
"enum" | "string"

Type of the value - enum or string.

enum_options
array | null

List of objects with value and label fields. Only allowed for enum data_type.

Default: null
required
boolean

Whether the value is required to be set during edit.

Default: false
workflows
list[object]

Workflows set for the queue.

Default: []
url
URL

Url of the workflow object.

priority
integer

Priority of the linked workflow. Designate the order of their evaluation (lower number means it's evaluated sooner).

List queues

Retrieve all queue objects.

GET
/api/v1/queues
curl -X GET "https://example.rossum.app/api/v1/queues?id=1%2C2%2C3"
{
  "pagination": {
    "total": 1,
    "total_pages": 1,
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 8198,
      "name": "Received invoices",
      "url": "https://example.rossum.app/api/v1/queues/8198",
      "workspace": "https://example.rossum.app/api/v1/workspaces/7540",
      "connector": null,
      "webhooks": [],
      "hooks": [],
      "schema": "https://example.rossum.app/api/v1/schemas/31336",
      "inbox": "https://example.rossum.app/api/v1/inboxes/1229",
      "users": [
        "https://example.rossum.app/api/v1/users/10775"
      ],
      "session_timeout": "01:00:00",
      "rir_url": null,
      "rir_params": null,
      "dedicated_engine": null,
      "generic_engine": "https://example.rossum.app/api/v1/generic_engines/3000",
      "counts": {
        "importing": 0,
        "split": 0,
        "failed_import": 0,
        "to_review": 2,
        "reviewing": 0,
        "confirmed": 0,
        "exporting": 0,
        "postponed": 0,
        "failed_export": 0,
        "exported": 0,
        "deleted": 0,
        "purged": 0,
        "rejected": 0
      },
      "default_score_threshold": 0.8,
      "automation_enabled": false,
      "automation_level": "never",
      "locale": "en_US",
      "metadata": {
        "some_key": "some_value"
      },
      "use_confirmed_state": false,
      "document_lifetime": "01:00:00",
      "status": "active",
      "modified_by": "https://example.rossum.app/api/v1/users/10775",
      "modified_at": "2021-04-26T10:08:03.856648Z",
      "settings": {},
      "workflows": []
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination
pagination
total
integer

Total number of items.

total_pages
integer

Total number of pages.

next
URL

URL for the next page of results.

previous
URL

URL for the previous page of results.

results
id
read-only
integer

ID of the queue.

name
string

Name of the queue (max. 255 characters).

maxLength: 255
url
read-only
URL

URL of the queue.

workspace
URL

Workspace in which the queue should be placed (it can be set to null, but bare in mind that it will make the queue invisible in the Rossum UI and it may cause some unexpected consequences).

connector
URL

Connector associated with the queue.

Default: null
webhooks
deprecated
list[URL]

(Deprecated) Webhooks associated with the queue (serves as an alias for hooks attribute).

Default: []
hooks
list[URL]

Hooks associated with the queue.

Default: []
schema
URL

Schema which will be applied to annotations in this queue.

inbox
URL

Inbox for import to this queue.

Default: null
users
list[URL]

Users associated with this queue.

Default: []
session_timeout
string

Time before annotation will be returned from reviewing status to to_review (timeout is evaluated every 10 minutes).

Default: "01:00:00"
rir_url
deprecated
URL

(Deprecated) Use generic_engine or dedicated_engine to set AI Core Engine.

Default: null
rir_params
string | null

URL parameters to be passed to the AI Core Engine. More specific AI Core Engine parameters influencing the extraction may be set using this field.

Publicly available parameters:

  • effective_page_count (int): Limits the extraction to the first effective_page_count pages of the document. Useful to prevent data extraction from additional pages of unrelated, but included documents. Default: 32 (pages to be extracted from a document).
  • tables (boolean): Allows disabling line item data extraction. Useful to speed up data extraction when line item details are not required, especially on long documents with large tables. Default: true (line items are being extracted).
Default: null
dedicated_engine
URL

Dedicated engine used for processing documents uploaded to this queue. If dedicated_engine is set generic_engine must be null. If both engines are null, a default generic one gets set.

Default: null
generic_engine
URL

Generic engine used for processing documents uploaded to this queue. If generic_engine is set dedicated_engine must be null. If both engines are null, a default generic one gets set.

Default: null
counts
read-only
object

Count of annotations per status.

importing
integer
split
integer
failed_import
integer
to_review
integer
reviewing
integer
confirmed
integer
exporting
integer
postponed
integer
failed_export
integer
exported
integer
deleted
integer
purged
integer
rejected
integer
default_score_threshold
number (float)

Threshold used to automatically validate field content based on AI confidence scores.

min: 0, max: 1Default: 0.8
automation_enabled
boolean

Toggle for switching automation on/off.

Default: false
automation_level
"never" | "confident" | "always"

Set level of automation. always - Auto-export all documents with no validation errors. When there is an error triggered for a non-required field, such values are deleted and export is re-tried. confident - Auto-export documents with at least one validation source and no validation errors. never - Annotation is not automatically exported and must be validated in UI manually.

Default: "never"
locale
string

Typical originating region of documents processed in this queue specified in the locale format. If auto option is chosen, the locale will be detected automatically if the organization group has access to Aurora engine. Otherwise, default option (en_GB) will be used.

The locale field is a hint for the AI Engine on how to resolve some ambiguous cases during data extraction, concerning e.g. date formats or decimal separators that may depend on the locale. For example, in US the typical date format is mm/dd/yyyy whilst in Europe it is dd.mm.yyyy. A date such as "12. 6. 2018" will be extracted as Jun 12 when locale is en_GB, while the same date will be extracted as Dec 6 when locale is en_US.

Default: "en_GB"
metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
use_confirmed_state
boolean

Affects exporting - when true, confirm endpoint transitions annotation to confirmed status instead to exporting.

Default: false
document_lifetime
string | null

Data retention period -- annotations will be automatically purged this time after their creation. The format of the value is '[DD] [HH:[MM:]]ss[.uuuuuu]', e.g. 90 days retention can be set as '90 00:00:00'. Please keep in mind that purging documents in Rossum can limit its learning capabilities. This is a priced feature and has no effect unless enabled.

Default: null
status
read-only
"active" | "deletion_requested" | "deletion_in_progress" | "deletion_failed"

Current status of the queue. active - This is the default status. Queue is usable. deletion_requested - Queue is marked for deletion (by calling DELETE /v1/queues/<id>). Will be asynchronously deleted after delete_after. deletion_in_progress - Queue is currently being deleted. When a queue has this status some raise conditions may occur as the related objects are being gradually deleted. deletion_failed - Something wrong happened in the process of queue deletion. The queue may be in an inconsistent state.

Please note, that document import (via upload as well as email) is disabled while the queue status is one of deletion_requested, deletion_in_progress, deletion_failed.

Default: "active"
modified_by
read-only
URL

User that last modified the object.

modified_at
read-only
datetime

Timestamp of last modification.

settings
object

Queue UI settings.

Default: {}
columns
deprecated
list[object]

(Deprecated, use annotation_list_table instead) List that contains schema ids to be shown on a dashboard.

Default: []
hide_export_button
boolean

Toggle to uncover "Export" button on dashboard (useful when queue.use_confirmed_state = true), which allows manual export of annotations in confirmed status.

Default: true
autopilot
object | null

Autopilot configuration describing which fields can be confirmed automatically.

Default: null
accepted_mime_types
list[string]

List of MIME types which can be uploaded to the queue. This can contain wildcards such as image/* or exact type like application/pdf.

Default: []
asynchronous_export
deprecated
boolean

(Deprecated) Always set to true. The confirm endpoint returns immediately and hooks' and connector's save endpoint is called asynchronously later on. This value is used only when queue does not have a connector.

Default: true
automation
object

Queue automation settings.

Default: {}
automate_duplicates
boolean

When set to true, automation will be enabled for documents that have a duplicates. Disabled if parameter is false.

Default: true
automate_suggested_edit
boolean

When set to true, automation will be enabled for annotations containing suggested edits. Disabled if parameter is false.

Default: false
rejection_config
object

Queue rejection settings.

enabled
boolean

Dashboard Rejected is visible in application when enabled is set to true.

Default: true
suggested_recipients_sources
list[object]

Queue suggested email recipients settings.

source
"email_header" | "extracted_value" | "vendor_database" | "queue_mailing_history" | "organization_users"

Indicates source of the suggested recipients email address. email_header - Email is taken from the sender in header of the email. extracted_value - Email is extracted from annotation data - schema_id is used to find requested value. vendor_database - Email is extracted from annotation data - schema_id is used to find requested value. Value is filled by vendor matching connector. queue_mailing_history - Emails are taken from all the recipient inside all the emails send inside the email's queue. organization_users - Emails are taken from the users of related organization.

Default: "email_header"
schema_id
string

Used for finding appropriate datapoint value in annotation data (necessary only for vendor_database and extracted_value sources).

suggested_edit
"suggest" | "disable"

Allow to split document (semi-)automatically. Allowed values are suggest and disable.

Default: "disable"
dashboard_customization
object

Dashboard customization settings.

all_documents
boolean

When set to true, all UI tabs are merged into one, so the documents with different statuses are mixes in one tab instead of having its own one.

Default: false
confirmed
boolean

When set to true, UI tab for confirmed documents will be shown. Relates to the queue settings attribute use_confirmed_state is set to true.

Default: true
deleted
boolean

When set to true, UI tab for documents in deleted state will be shown.

Default: true
exported
boolean

When set to true, UI tab for documents in exported state will be shown.

Default: true
postponed
boolean

When set to true, UI tab for documents in postponed state will be shown.

Default: true
rejected
boolean

When set to true, UI tab for documents in rejected state will be shown.

Default: true
to_review
boolean

When set to true, UI tab for documents in to_review state will be shown.

Default: true
email_notifications
object

Queue email notifications settings.

recipient
object | null

Information about email address to send notifications to (e.g. about failed import). It contains keys email and name.

Default: null
unprocessable_attachments
boolean

Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply.

Default: false
email_with_no_attachments
boolean

Whether to send notification when no processable documents were found.

Default: true
postponed_annotations
boolean

Whether to send notification when annotation is postponed.

Default: false
deleted_annotations
boolean

Whether to send notification when annotation is deleted.

Default: false
workflows
object

Queue workflows settings. Talk to your Rossum representative to enable workflows for your queue.

enabled
boolean

Dashboard Workflows is visible in application when enabled is set to true. Also enables the workflow automation.

Default: false
bypass_workflows_allowed
boolean

Whether to allow to confirm annotation with option skip_workflows=true.

Default: false
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

upload_values
list[object]

Configuration of values to be specified during upload.

Default: []
id
string

ID of the value.

type
"values" | "metadata"

Type of the value - values or metadata — specify how to pass the value.

Default: "values"
data_type
"enum" | "string"

Data type of the value - enum or string.

Default: "string"
label
string

Label to be used in UI.

enum_options
array | null

List of objects with value and label fields. Only allowed for enum type.

Default: null
required
boolean

Whether the value is required to be set during upload.

Default: false
ui_upload_enabled
boolean

Flag for enabling upload for particular queue in Rossum UI.

Default: true
ui_on_edit_confirm
"annotation_list" | "edit_next" | "validate_first"

Changes edit screen confirm button behavior. Allowed values are annotation_list, edit_next, validate_first.

Default: "validate_first"
ui_validation_screen_enabled
boolean

Flag for enabling validation screen for a particular queue in Rossum UI. If disabled, opening of a document will trigger a redirect to an edit screen.

Default: true
ui_edit_values
list[object]

Configuration of values to be specified during edit_pages.

Default: []
id
string

ID of the value.

label
string

Label to be used in UI.

data_type
"enum" | "string"

Type of the value - enum or string.

enum_options
array | null

List of objects with value and label fields. Only allowed for enum data_type.

Default: null
required
boolean

Whether the value is required to be set during edit.

Default: false
workflows
list[object]

Workflows set for the queue.

Default: []
url
URL

Url of the workflow object.

priority
integer

Priority of the linked workflow. Designate the order of their evaluation (lower number means it's evaluated sooner).

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Create queue

Create a new queue object.

POST
/api/v1/queues
curl -X POST "https://example.rossum.app/api/v1/queues" \  -H "Content-Type: application/json" \  -d '{    "name": "Received invoices",    "schema": "https://example.rossum.app/api/v1/schemas/31336"  }'
{
  "id": 8198,
  "name": "Received invoices",
  "url": "https://example.rossum.app/api/v1/queues/8198",
  "workspace": "https://example.rossum.app/api/v1/workspaces/7540",
  "connector": null,
  "webhooks": [],
  "hooks": [],
  "schema": "https://example.rossum.app/api/v1/schemas/31336",
  "inbox": "https://example.rossum.app/api/v1/inboxes/1229",
  "users": [
    "https://example.rossum.app/api/v1/users/10775"
  ],
  "session_timeout": "01:00:00",
  "rir_url": null,
  "rir_params": null,
  "dedicated_engine": null,
  "generic_engine": "https://example.rossum.app/api/v1/generic_engines/3000",
  "counts": {
    "importing": 0,
    "split": 0,
    "failed_import": 0,
    "to_review": 2,
    "reviewing": 0,
    "confirmed": 0,
    "exporting": 0,
    "postponed": 0,
    "failed_export": 0,
    "exported": 0,
    "deleted": 0,
    "purged": 0,
    "rejected": 0
  },
  "default_score_threshold": 0.8,
  "automation_enabled": false,
  "automation_level": "never",
  "locale": "en_US",
  "metadata": {
    "some_key": "some_value"
  },
  "use_confirmed_state": false,
  "document_lifetime": "01:00:00",
  "status": "active",
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z",
  "settings": {},
  "workflows": []
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name*
string

Name of the queue (max. 255 characters).

maxLength: 255
workspace
URL

Workspace in which the queue should be placed (it can be set to null, but bare in mind that it will make the queue invisible in the Rossum UI and it may cause some unexpected consequences).

connector
URL

Connector associated with the queue.

Default: null
webhooks
deprecated
list[URL]

(Deprecated) Webhooks associated with the queue (serves as an alias for hooks attribute).

Default: []
hooks
list[URL]

Hooks associated with the queue.

Default: []
schema*
URL

Schema which will be applied to annotations in this queue.

inbox
URL

Inbox for import to this queue.

Default: null
users
list[URL]

Users associated with this queue.

Default: []
session_timeout
string

Time before annotation will be returned from reviewing status to to_review (timeout is evaluated every 10 minutes).

Default: "01:00:00"
rir_url
deprecated
URL

(Deprecated) Use generic_engine or dedicated_engine to set AI Core Engine.

Default: null
rir_params
string | null

URL parameters to be passed to the AI Core Engine. More specific AI Core Engine parameters influencing the extraction may be set using this field.

Publicly available parameters:

  • effective_page_count (int): Limits the extraction to the first effective_page_count pages of the document. Useful to prevent data extraction from additional pages of unrelated, but included documents. Default: 32 (pages to be extracted from a document).
  • tables (boolean): Allows disabling line item data extraction. Useful to speed up data extraction when line item details are not required, especially on long documents with large tables. Default: true (line items are being extracted).
Default: null
dedicated_engine
URL

Dedicated engine used for processing documents uploaded to this queue. If dedicated_engine is set generic_engine must be null. If both engines are null, a default generic one gets set.

Default: null
generic_engine
URL

Generic engine used for processing documents uploaded to this queue. If generic_engine is set dedicated_engine must be null. If both engines are null, a default generic one gets set.

Default: null
default_score_threshold
number (float)

Threshold used to automatically validate field content based on AI confidence scores.

min: 0, max: 1Default: 0.8
automation_enabled
boolean

Toggle for switching automation on/off.

Default: false
automation_level
"never" | "confident" | "always"

Set level of automation. always - Auto-export all documents with no validation errors. When there is an error triggered for a non-required field, such values are deleted and export is re-tried. confident - Auto-export documents with at least one validation source and no validation errors. never - Annotation is not automatically exported and must be validated in UI manually.

Default: "never"
locale
string

Typical originating region of documents processed in this queue specified in the locale format. If auto option is chosen, the locale will be detected automatically if the organization group has access to Aurora engine. Otherwise, default option (en_GB) will be used.

The locale field is a hint for the AI Engine on how to resolve some ambiguous cases during data extraction, concerning e.g. date formats or decimal separators that may depend on the locale. For example, in US the typical date format is mm/dd/yyyy whilst in Europe it is dd.mm.yyyy. A date such as "12. 6. 2018" will be extracted as Jun 12 when locale is en_GB, while the same date will be extracted as Dec 6 when locale is en_US.

Default: "en_GB"
metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
use_confirmed_state
boolean

Affects exporting - when true, confirm endpoint transitions annotation to confirmed status instead to exporting.

Default: false
document_lifetime
string | null

Data retention period -- annotations will be automatically purged this time after their creation. The format of the value is '[DD] [HH:[MM:]]ss[.uuuuuu]', e.g. 90 days retention can be set as '90 00:00:00'. Please keep in mind that purging documents in Rossum can limit its learning capabilities. This is a priced feature and has no effect unless enabled.

Default: null
settings
object

Queue UI settings.

Default: {}
columns
deprecated
list[object]

(Deprecated, use annotation_list_table instead) List that contains schema ids to be shown on a dashboard.

Default: []
hide_export_button
boolean

Toggle to uncover "Export" button on dashboard (useful when queue.use_confirmed_state = true), which allows manual export of annotations in confirmed status.

Default: true
autopilot
object | null

Autopilot configuration describing which fields can be confirmed automatically.

Default: null
accepted_mime_types
list[string]

List of MIME types which can be uploaded to the queue. This can contain wildcards such as image/* or exact type like application/pdf.

Default: []
asynchronous_export
deprecated
boolean

(Deprecated) Always set to true. The confirm endpoint returns immediately and hooks' and connector's save endpoint is called asynchronously later on. This value is used only when queue does not have a connector.

Default: true
automation
object

Queue automation settings.

Default: {}
automate_duplicates
boolean

When set to true, automation will be enabled for documents that have a duplicates. Disabled if parameter is false.

Default: true
automate_suggested_edit
boolean

When set to true, automation will be enabled for annotations containing suggested edits. Disabled if parameter is false.

Default: false
rejection_config
object

Queue rejection settings.

enabled
boolean

Dashboard Rejected is visible in application when enabled is set to true.

Default: true
suggested_recipients_sources
list[object]

Queue suggested email recipients settings.

source
"email_header" | "extracted_value" | "vendor_database" | "queue_mailing_history" | "organization_users"

Indicates source of the suggested recipients email address. email_header - Email is taken from the sender in header of the email. extracted_value - Email is extracted from annotation data - schema_id is used to find requested value. vendor_database - Email is extracted from annotation data - schema_id is used to find requested value. Value is filled by vendor matching connector. queue_mailing_history - Emails are taken from all the recipient inside all the emails send inside the email's queue. organization_users - Emails are taken from the users of related organization.

Default: "email_header"
schema_id
string

Used for finding appropriate datapoint value in annotation data (necessary only for vendor_database and extracted_value sources).

suggested_edit
"suggest" | "disable"

Allow to split document (semi-)automatically. Allowed values are suggest and disable.

Default: "disable"
dashboard_customization
object

Dashboard customization settings.

all_documents
boolean

When set to true, all UI tabs are merged into one, so the documents with different statuses are mixes in one tab instead of having its own one.

Default: false
confirmed
boolean

When set to true, UI tab for confirmed documents will be shown. Relates to the queue settings attribute use_confirmed_state is set to true.

Default: true
deleted
boolean

When set to true, UI tab for documents in deleted state will be shown.

Default: true
exported
boolean

When set to true, UI tab for documents in exported state will be shown.

Default: true
postponed
boolean

When set to true, UI tab for documents in postponed state will be shown.

Default: true
rejected
boolean

When set to true, UI tab for documents in rejected state will be shown.

Default: true
to_review
boolean

When set to true, UI tab for documents in to_review state will be shown.

Default: true
email_notifications
object

Queue email notifications settings.

recipient
object | null

Information about email address to send notifications to (e.g. about failed import). It contains keys email and name.

Default: null
unprocessable_attachments
boolean

Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply.

Default: false
email_with_no_attachments
boolean

Whether to send notification when no processable documents were found.

Default: true
postponed_annotations
boolean

Whether to send notification when annotation is postponed.

Default: false
deleted_annotations
boolean

Whether to send notification when annotation is deleted.

Default: false
workflows
object

Queue workflows settings. Talk to your Rossum representative to enable workflows for your queue.

enabled
boolean

Dashboard Workflows is visible in application when enabled is set to true. Also enables the workflow automation.

Default: false
bypass_workflows_allowed
boolean

Whether to allow to confirm annotation with option skip_workflows=true.

Default: false
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

upload_values
list[object]

Configuration of values to be specified during upload.

Default: []
id
string

ID of the value.

type
"values" | "metadata"

Type of the value - values or metadata — specify how to pass the value.

Default: "values"
data_type
"enum" | "string"

Data type of the value - enum or string.

Default: "string"
label
string

Label to be used in UI.

enum_options
array | null

List of objects with value and label fields. Only allowed for enum type.

Default: null
required
boolean

Whether the value is required to be set during upload.

Default: false
ui_upload_enabled
boolean

Flag for enabling upload for particular queue in Rossum UI.

Default: true
ui_on_edit_confirm
"annotation_list" | "edit_next" | "validate_first"

Changes edit screen confirm button behavior. Allowed values are annotation_list, edit_next, validate_first.

Default: "validate_first"
ui_validation_screen_enabled
boolean

Flag for enabling validation screen for a particular queue in Rossum UI. If disabled, opening of a document will trigger a redirect to an edit screen.

Default: true
ui_edit_values
list[object]

Configuration of values to be specified during edit_pages.

Default: []
id
string

ID of the value.

label
string

Label to be used in UI.

data_type
"enum" | "string"

Type of the value - enum or string.

enum_options
array | null

List of objects with value and label fields. Only allowed for enum data_type.

Default: null
required
boolean

Whether the value is required to be set during edit.

Default: false
workflows
list[object]

Workflows set for the queue.

Default: []
url
URL

Url of the workflow object.

priority
integer

Priority of the linked workflow. Designate the order of their evaluation (lower number means it's evaluated sooner).

Response

201Created

Created

Attribute
Type
Description
id
read-only
integer

ID of the queue.

name
string

Name of the queue (max. 255 characters).

maxLength: 255
url
read-only
URL

URL of the queue.

workspace
URL

Workspace in which the queue should be placed (it can be set to null, but bare in mind that it will make the queue invisible in the Rossum UI and it may cause some unexpected consequences).

connector
URL

Connector associated with the queue.

Default: null
webhooks
deprecated
list[URL]

(Deprecated) Webhooks associated with the queue (serves as an alias for hooks attribute).

Default: []
hooks
list[URL]

Hooks associated with the queue.

Default: []
schema
URL

Schema which will be applied to annotations in this queue.

inbox
URL

Inbox for import to this queue.

Default: null
users
list[URL]

Users associated with this queue.

Default: []
session_timeout
string

Time before annotation will be returned from reviewing status to to_review (timeout is evaluated every 10 minutes).

Default: "01:00:00"
rir_url
deprecated
URL

(Deprecated) Use generic_engine or dedicated_engine to set AI Core Engine.

Default: null
rir_params
string | null

URL parameters to be passed to the AI Core Engine. More specific AI Core Engine parameters influencing the extraction may be set using this field.

Publicly available parameters:

  • effective_page_count (int): Limits the extraction to the first effective_page_count pages of the document. Useful to prevent data extraction from additional pages of unrelated, but included documents. Default: 32 (pages to be extracted from a document).
  • tables (boolean): Allows disabling line item data extraction. Useful to speed up data extraction when line item details are not required, especially on long documents with large tables. Default: true (line items are being extracted).
Default: null
dedicated_engine
URL

Dedicated engine used for processing documents uploaded to this queue. If dedicated_engine is set generic_engine must be null. If both engines are null, a default generic one gets set.

Default: null
generic_engine
URL

Generic engine used for processing documents uploaded to this queue. If generic_engine is set dedicated_engine must be null. If both engines are null, a default generic one gets set.

Default: null
counts
read-only
object

Count of annotations per status.

importing
integer
split
integer
failed_import
integer
to_review
integer
reviewing
integer
confirmed
integer
exporting
integer
postponed
integer
failed_export
integer
exported
integer
deleted
integer
purged
integer
rejected
integer
default_score_threshold
number (float)

Threshold used to automatically validate field content based on AI confidence scores.

min: 0, max: 1Default: 0.8
automation_enabled
boolean

Toggle for switching automation on/off.

Default: false
automation_level
"never" | "confident" | "always"

Set level of automation. always - Auto-export all documents with no validation errors. When there is an error triggered for a non-required field, such values are deleted and export is re-tried. confident - Auto-export documents with at least one validation source and no validation errors. never - Annotation is not automatically exported and must be validated in UI manually.

Default: "never"
locale
string

Typical originating region of documents processed in this queue specified in the locale format. If auto option is chosen, the locale will be detected automatically if the organization group has access to Aurora engine. Otherwise, default option (en_GB) will be used.

The locale field is a hint for the AI Engine on how to resolve some ambiguous cases during data extraction, concerning e.g. date formats or decimal separators that may depend on the locale. For example, in US the typical date format is mm/dd/yyyy whilst in Europe it is dd.mm.yyyy. A date such as "12. 6. 2018" will be extracted as Jun 12 when locale is en_GB, while the same date will be extracted as Dec 6 when locale is en_US.

Default: "en_GB"
metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
use_confirmed_state
boolean

Affects exporting - when true, confirm endpoint transitions annotation to confirmed status instead to exporting.

Default: false
document_lifetime
string | null

Data retention period -- annotations will be automatically purged this time after their creation. The format of the value is '[DD] [HH:[MM:]]ss[.uuuuuu]', e.g. 90 days retention can be set as '90 00:00:00'. Please keep in mind that purging documents in Rossum can limit its learning capabilities. This is a priced feature and has no effect unless enabled.

Default: null
status
read-only
"active" | "deletion_requested" | "deletion_in_progress" | "deletion_failed"

Current status of the queue. active - This is the default status. Queue is usable. deletion_requested - Queue is marked for deletion (by calling DELETE /v1/queues/<id>). Will be asynchronously deleted after delete_after. deletion_in_progress - Queue is currently being deleted. When a queue has this status some raise conditions may occur as the related objects are being gradually deleted. deletion_failed - Something wrong happened in the process of queue deletion. The queue may be in an inconsistent state.

Please note, that document import (via upload as well as email) is disabled while the queue status is one of deletion_requested, deletion_in_progress, deletion_failed.

Default: "active"
modified_by
read-only
URL

User that last modified the object.

modified_at
read-only
datetime

Timestamp of last modification.

settings
object

Queue UI settings.

Default: {}
columns
deprecated
list[object]

(Deprecated, use annotation_list_table instead) List that contains schema ids to be shown on a dashboard.

Default: []
hide_export_button
boolean

Toggle to uncover "Export" button on dashboard (useful when queue.use_confirmed_state = true), which allows manual export of annotations in confirmed status.

Default: true
autopilot
object | null

Autopilot configuration describing which fields can be confirmed automatically.

Default: null
accepted_mime_types
list[string]

List of MIME types which can be uploaded to the queue. This can contain wildcards such as image/* or exact type like application/pdf.

Default: []
asynchronous_export
deprecated
boolean

(Deprecated) Always set to true. The confirm endpoint returns immediately and hooks' and connector's save endpoint is called asynchronously later on. This value is used only when queue does not have a connector.

Default: true
automation
object

Queue automation settings.

Default: {}
automate_duplicates
boolean

When set to true, automation will be enabled for documents that have a duplicates. Disabled if parameter is false.

Default: true
automate_suggested_edit
boolean

When set to true, automation will be enabled for annotations containing suggested edits. Disabled if parameter is false.

Default: false
rejection_config
object

Queue rejection settings.

enabled
boolean

Dashboard Rejected is visible in application when enabled is set to true.

Default: true
suggested_recipients_sources
list[object]

Queue suggested email recipients settings.

source
"email_header" | "extracted_value" | "vendor_database" | "queue_mailing_history" | "organization_users"

Indicates source of the suggested recipients email address. email_header - Email is taken from the sender in header of the email. extracted_value - Email is extracted from annotation data - schema_id is used to find requested value. vendor_database - Email is extracted from annotation data - schema_id is used to find requested value. Value is filled by vendor matching connector. queue_mailing_history - Emails are taken from all the recipient inside all the emails send inside the email's queue. organization_users - Emails are taken from the users of related organization.

Default: "email_header"
schema_id
string

Used for finding appropriate datapoint value in annotation data (necessary only for vendor_database and extracted_value sources).

suggested_edit
"suggest" | "disable"

Allow to split document (semi-)automatically. Allowed values are suggest and disable.

Default: "disable"
dashboard_customization
object

Dashboard customization settings.

all_documents
boolean

When set to true, all UI tabs are merged into one, so the documents with different statuses are mixes in one tab instead of having its own one.

Default: false
confirmed
boolean

When set to true, UI tab for confirmed documents will be shown. Relates to the queue settings attribute use_confirmed_state is set to true.

Default: true
deleted
boolean

When set to true, UI tab for documents in deleted state will be shown.

Default: true
exported
boolean

When set to true, UI tab for documents in exported state will be shown.

Default: true
postponed
boolean

When set to true, UI tab for documents in postponed state will be shown.

Default: true
rejected
boolean

When set to true, UI tab for documents in rejected state will be shown.

Default: true
to_review
boolean

When set to true, UI tab for documents in to_review state will be shown.

Default: true
email_notifications
object

Queue email notifications settings.

recipient
object | null

Information about email address to send notifications to (e.g. about failed import). It contains keys email and name.

Default: null
unprocessable_attachments
boolean

Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply.

Default: false
email_with_no_attachments
boolean

Whether to send notification when no processable documents were found.

Default: true
postponed_annotations
boolean

Whether to send notification when annotation is postponed.

Default: false
deleted_annotations
boolean

Whether to send notification when annotation is deleted.

Default: false
workflows
object

Queue workflows settings. Talk to your Rossum representative to enable workflows for your queue.

enabled
boolean

Dashboard Workflows is visible in application when enabled is set to true. Also enables the workflow automation.

Default: false
bypass_workflows_allowed
boolean

Whether to allow to confirm annotation with option skip_workflows=true.

Default: false
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

upload_values
list[object]

Configuration of values to be specified during upload.

Default: []
id
string

ID of the value.

type
"values" | "metadata"

Type of the value - values or metadata — specify how to pass the value.

Default: "values"
data_type
"enum" | "string"

Data type of the value - enum or string.

Default: "string"
label
string

Label to be used in UI.

enum_options
array | null

List of objects with value and label fields. Only allowed for enum type.

Default: null
required
boolean

Whether the value is required to be set during upload.

Default: false
ui_upload_enabled
boolean

Flag for enabling upload for particular queue in Rossum UI.

Default: true
ui_on_edit_confirm
"annotation_list" | "edit_next" | "validate_first"

Changes edit screen confirm button behavior. Allowed values are annotation_list, edit_next, validate_first.

Default: "validate_first"
ui_validation_screen_enabled
boolean

Flag for enabling validation screen for a particular queue in Rossum UI. If disabled, opening of a document will trigger a redirect to an edit screen.

Default: true
ui_edit_values
list[object]

Configuration of values to be specified during edit_pages.

Default: []
id
string

ID of the value.

label
string

Label to be used in UI.

data_type
"enum" | "string"

Type of the value - enum or string.

enum_options
array | null

List of objects with value and label fields. Only allowed for enum data_type.

Default: null
required
boolean

Whether the value is required to be set during edit.

Default: false
workflows
list[object]

Workflows set for the queue.

Default: []
url
URL

Url of the workflow object.

priority
integer

Priority of the linked workflow. Designate the order of their evaluation (lower number means it's evaluated sooner).

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve queue

Get a queue object.

GET
/api/v1/queues/{id}
curl -X GET "https://example.rossum.app/api/v1/queues/0"
{
  "id": 8198,
  "name": "Received invoices",
  "url": "https://example.rossum.app/api/v1/queues/8198",
  "workspace": "https://example.rossum.app/api/v1/workspaces/7540",
  "connector": null,
  "webhooks": [],
  "hooks": [],
  "schema": "https://example.rossum.app/api/v1/schemas/31336",
  "inbox": "https://example.rossum.app/api/v1/inboxes/1229",
  "users": [
    "https://example.rossum.app/api/v1/users/10775"
  ],
  "session_timeout": "01:00:00",
  "rir_url": null,
  "rir_params": null,
  "dedicated_engine": null,
  "generic_engine": "https://example.rossum.app/api/v1/generic_engines/3000",
  "counts": {
    "importing": 0,
    "split": 0,
    "failed_import": 0,
    "to_review": 2,
    "reviewing": 0,
    "confirmed": 0,
    "exporting": 0,
    "postponed": 0,
    "failed_export": 0,
    "exported": 0,
    "deleted": 0,
    "purged": 0,
    "rejected": 0
  },
  "default_score_threshold": 0.8,
  "automation_enabled": false,
  "automation_level": "never",
  "locale": "en_US",
  "metadata": {
    "some_key": "some_value"
  },
  "use_confirmed_state": false,
  "document_lifetime": "01:00:00",
  "status": "active",
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z",
  "settings": {},
  "workflows": []
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id
read-only
integer

ID of the queue.

name
string

Name of the queue (max. 255 characters).

maxLength: 255
url
read-only
URL

URL of the queue.

workspace
URL

Workspace in which the queue should be placed (it can be set to null, but bare in mind that it will make the queue invisible in the Rossum UI and it may cause some unexpected consequences).

connector
URL

Connector associated with the queue.

Default: null
webhooks
deprecated
list[URL]

(Deprecated) Webhooks associated with the queue (serves as an alias for hooks attribute).

Default: []
hooks
list[URL]

Hooks associated with the queue.

Default: []
schema
URL

Schema which will be applied to annotations in this queue.

inbox
URL

Inbox for import to this queue.

Default: null
users
list[URL]

Users associated with this queue.

Default: []
session_timeout
string

Time before annotation will be returned from reviewing status to to_review (timeout is evaluated every 10 minutes).

Default: "01:00:00"
rir_url
deprecated
URL

(Deprecated) Use generic_engine or dedicated_engine to set AI Core Engine.

Default: null
rir_params
string | null

URL parameters to be passed to the AI Core Engine. More specific AI Core Engine parameters influencing the extraction may be set using this field.

Publicly available parameters:

  • effective_page_count (int): Limits the extraction to the first effective_page_count pages of the document. Useful to prevent data extraction from additional pages of unrelated, but included documents. Default: 32 (pages to be extracted from a document).
  • tables (boolean): Allows disabling line item data extraction. Useful to speed up data extraction when line item details are not required, especially on long documents with large tables. Default: true (line items are being extracted).
Default: null
dedicated_engine
URL

Dedicated engine used for processing documents uploaded to this queue. If dedicated_engine is set generic_engine must be null. If both engines are null, a default generic one gets set.

Default: null
generic_engine
URL

Generic engine used for processing documents uploaded to this queue. If generic_engine is set dedicated_engine must be null. If both engines are null, a default generic one gets set.

Default: null
counts
read-only
object

Count of annotations per status.

importing
integer
split
integer
failed_import
integer
to_review
integer
reviewing
integer
confirmed
integer
exporting
integer
postponed
integer
failed_export
integer
exported
integer
deleted
integer
purged
integer
rejected
integer
default_score_threshold
number (float)

Threshold used to automatically validate field content based on AI confidence scores.

min: 0, max: 1Default: 0.8
automation_enabled
boolean

Toggle for switching automation on/off.

Default: false
automation_level
"never" | "confident" | "always"

Set level of automation. always - Auto-export all documents with no validation errors. When there is an error triggered for a non-required field, such values are deleted and export is re-tried. confident - Auto-export documents with at least one validation source and no validation errors. never - Annotation is not automatically exported and must be validated in UI manually.

Default: "never"
locale
string

Typical originating region of documents processed in this queue specified in the locale format. If auto option is chosen, the locale will be detected automatically if the organization group has access to Aurora engine. Otherwise, default option (en_GB) will be used.

The locale field is a hint for the AI Engine on how to resolve some ambiguous cases during data extraction, concerning e.g. date formats or decimal separators that may depend on the locale. For example, in US the typical date format is mm/dd/yyyy whilst in Europe it is dd.mm.yyyy. A date such as "12. 6. 2018" will be extracted as Jun 12 when locale is en_GB, while the same date will be extracted as Dec 6 when locale is en_US.

Default: "en_GB"
metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
use_confirmed_state
boolean

Affects exporting - when true, confirm endpoint transitions annotation to confirmed status instead to exporting.

Default: false
document_lifetime
string | null

Data retention period -- annotations will be automatically purged this time after their creation. The format of the value is '[DD] [HH:[MM:]]ss[.uuuuuu]', e.g. 90 days retention can be set as '90 00:00:00'. Please keep in mind that purging documents in Rossum can limit its learning capabilities. This is a priced feature and has no effect unless enabled.

Default: null
status
read-only
"active" | "deletion_requested" | "deletion_in_progress" | "deletion_failed"

Current status of the queue. active - This is the default status. Queue is usable. deletion_requested - Queue is marked for deletion (by calling DELETE /v1/queues/<id>). Will be asynchronously deleted after delete_after. deletion_in_progress - Queue is currently being deleted. When a queue has this status some raise conditions may occur as the related objects are being gradually deleted. deletion_failed - Something wrong happened in the process of queue deletion. The queue may be in an inconsistent state.

Please note, that document import (via upload as well as email) is disabled while the queue status is one of deletion_requested, deletion_in_progress, deletion_failed.

Default: "active"
modified_by
read-only
URL

User that last modified the object.

modified_at
read-only
datetime

Timestamp of last modification.

settings
object

Queue UI settings.

Default: {}
columns
deprecated
list[object]

(Deprecated, use annotation_list_table instead) List that contains schema ids to be shown on a dashboard.

Default: []
hide_export_button
boolean

Toggle to uncover "Export" button on dashboard (useful when queue.use_confirmed_state = true), which allows manual export of annotations in confirmed status.

Default: true
autopilot
object | null

Autopilot configuration describing which fields can be confirmed automatically.

Default: null
accepted_mime_types
list[string]

List of MIME types which can be uploaded to the queue. This can contain wildcards such as image/* or exact type like application/pdf.

Default: []
asynchronous_export
deprecated
boolean

(Deprecated) Always set to true. The confirm endpoint returns immediately and hooks' and connector's save endpoint is called asynchronously later on. This value is used only when queue does not have a connector.

Default: true
automation
object

Queue automation settings.

Default: {}
automate_duplicates
boolean

When set to true, automation will be enabled for documents that have a duplicates. Disabled if parameter is false.

Default: true
automate_suggested_edit
boolean

When set to true, automation will be enabled for annotations containing suggested edits. Disabled if parameter is false.

Default: false
rejection_config
object

Queue rejection settings.

enabled
boolean

Dashboard Rejected is visible in application when enabled is set to true.

Default: true
suggested_recipients_sources
list[object]

Queue suggested email recipients settings.

source
"email_header" | "extracted_value" | "vendor_database" | "queue_mailing_history" | "organization_users"

Indicates source of the suggested recipients email address. email_header - Email is taken from the sender in header of the email. extracted_value - Email is extracted from annotation data - schema_id is used to find requested value. vendor_database - Email is extracted from annotation data - schema_id is used to find requested value. Value is filled by vendor matching connector. queue_mailing_history - Emails are taken from all the recipient inside all the emails send inside the email's queue. organization_users - Emails are taken from the users of related organization.

Default: "email_header"
schema_id
string

Used for finding appropriate datapoint value in annotation data (necessary only for vendor_database and extracted_value sources).

suggested_edit
"suggest" | "disable"

Allow to split document (semi-)automatically. Allowed values are suggest and disable.

Default: "disable"
dashboard_customization
object

Dashboard customization settings.

all_documents
boolean

When set to true, all UI tabs are merged into one, so the documents with different statuses are mixes in one tab instead of having its own one.

Default: false
confirmed
boolean

When set to true, UI tab for confirmed documents will be shown. Relates to the queue settings attribute use_confirmed_state is set to true.

Default: true
deleted
boolean

When set to true, UI tab for documents in deleted state will be shown.

Default: true
exported
boolean

When set to true, UI tab for documents in exported state will be shown.

Default: true
postponed
boolean

When set to true, UI tab for documents in postponed state will be shown.

Default: true
rejected
boolean

When set to true, UI tab for documents in rejected state will be shown.

Default: true
to_review
boolean

When set to true, UI tab for documents in to_review state will be shown.

Default: true
email_notifications
object

Queue email notifications settings.

recipient
object | null

Information about email address to send notifications to (e.g. about failed import). It contains keys email and name.

Default: null
unprocessable_attachments
boolean

Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply.

Default: false
email_with_no_attachments
boolean

Whether to send notification when no processable documents were found.

Default: true
postponed_annotations
boolean

Whether to send notification when annotation is postponed.

Default: false
deleted_annotations
boolean

Whether to send notification when annotation is deleted.

Default: false
workflows
object

Queue workflows settings. Talk to your Rossum representative to enable workflows for your queue.

enabled
boolean

Dashboard Workflows is visible in application when enabled is set to true. Also enables the workflow automation.

Default: false
bypass_workflows_allowed
boolean

Whether to allow to confirm annotation with option skip_workflows=true.

Default: false
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

upload_values
list[object]

Configuration of values to be specified during upload.

Default: []
id
string

ID of the value.

type
"values" | "metadata"

Type of the value - values or metadata — specify how to pass the value.

Default: "values"
data_type
"enum" | "string"

Data type of the value - enum or string.

Default: "string"
label
string

Label to be used in UI.

enum_options
array | null

List of objects with value and label fields. Only allowed for enum type.

Default: null
required
boolean

Whether the value is required to be set during upload.

Default: false
ui_upload_enabled
boolean

Flag for enabling upload for particular queue in Rossum UI.

Default: true
ui_on_edit_confirm
"annotation_list" | "edit_next" | "validate_first"

Changes edit screen confirm button behavior. Allowed values are annotation_list, edit_next, validate_first.

Default: "validate_first"
ui_validation_screen_enabled
boolean

Flag for enabling validation screen for a particular queue in Rossum UI. If disabled, opening of a document will trigger a redirect to an edit screen.

Default: true
ui_edit_values
list[object]

Configuration of values to be specified during edit_pages.

Default: []
id
string

ID of the value.

label
string

Label to be used in UI.

data_type
"enum" | "string"

Type of the value - enum or string.

enum_options
array | null

List of objects with value and label fields. Only allowed for enum data_type.

Default: null
required
boolean

Whether the value is required to be set during edit.

Default: false
workflows
list[object]

Workflows set for the queue.

Default: []
url
URL

Url of the workflow object.

priority
integer

Priority of the linked workflow. Designate the order of their evaluation (lower number means it's evaluated sooner).

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Partial update queue

Update part of queue object.

PATCH
/api/v1/queues/{id}
curl -X PATCH "https://example.rossum.app/api/v1/queues/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 8198,
  "name": "Received invoices",
  "url": "https://example.rossum.app/api/v1/queues/8198",
  "workspace": "https://example.rossum.app/api/v1/workspaces/7540",
  "connector": null,
  "webhooks": [],
  "hooks": [],
  "schema": "https://example.rossum.app/api/v1/schemas/31336",
  "inbox": "https://example.rossum.app/api/v1/inboxes/1229",
  "users": [
    "https://example.rossum.app/api/v1/users/10775"
  ],
  "session_timeout": "01:00:00",
  "rir_url": null,
  "rir_params": null,
  "dedicated_engine": null,
  "generic_engine": "https://example.rossum.app/api/v1/generic_engines/3000",
  "counts": {
    "importing": 0,
    "split": 0,
    "failed_import": 0,
    "to_review": 2,
    "reviewing": 0,
    "confirmed": 0,
    "exporting": 0,
    "postponed": 0,
    "failed_export": 0,
    "exported": 0,
    "deleted": 0,
    "purged": 0,
    "rejected": 0
  },
  "default_score_threshold": 0.8,
  "automation_enabled": false,
  "automation_level": "never",
  "locale": "en_US",
  "metadata": {
    "some_key": "some_value"
  },
  "use_confirmed_state": false,
  "document_lifetime": "01:00:00",
  "status": "active",
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z",
  "settings": {},
  "workflows": []
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name
string

Name of the queue (max. 255 characters).

maxLength: 255
workspace
URL

Workspace in which the queue should be placed (it can be set to null, but bare in mind that it will make the queue invisible in the Rossum UI and it may cause some unexpected consequences).

connector
URL

Connector associated with the queue.

Default: null
webhooks
deprecated
list[URL]

(Deprecated) Webhooks associated with the queue (serves as an alias for hooks attribute).

Default: []
hooks
list[URL]

Hooks associated with the queue.

Default: []
schema
URL

Schema which will be applied to annotations in this queue.

inbox
URL

Inbox for import to this queue.

Default: null
users
list[URL]

Users associated with this queue.

Default: []
session_timeout
string

Time before annotation will be returned from reviewing status to to_review (timeout is evaluated every 10 minutes).

Default: "01:00:00"
rir_url
deprecated
URL

(Deprecated) Use generic_engine or dedicated_engine to set AI Core Engine.

Default: null
rir_params
string | null

URL parameters to be passed to the AI Core Engine. More specific AI Core Engine parameters influencing the extraction may be set using this field.

Publicly available parameters:

  • effective_page_count (int): Limits the extraction to the first effective_page_count pages of the document. Useful to prevent data extraction from additional pages of unrelated, but included documents. Default: 32 (pages to be extracted from a document).
  • tables (boolean): Allows disabling line item data extraction. Useful to speed up data extraction when line item details are not required, especially on long documents with large tables. Default: true (line items are being extracted).
Default: null
dedicated_engine
URL

Dedicated engine used for processing documents uploaded to this queue. If dedicated_engine is set generic_engine must be null. If both engines are null, a default generic one gets set.

Default: null
generic_engine
URL

Generic engine used for processing documents uploaded to this queue. If generic_engine is set dedicated_engine must be null. If both engines are null, a default generic one gets set.

Default: null
default_score_threshold
number (float)

Threshold used to automatically validate field content based on AI confidence scores.

min: 0, max: 1Default: 0.8
automation_enabled
boolean

Toggle for switching automation on/off.

Default: false
automation_level
"never" | "confident" | "always"

Set level of automation. always - Auto-export all documents with no validation errors. When there is an error triggered for a non-required field, such values are deleted and export is re-tried. confident - Auto-export documents with at least one validation source and no validation errors. never - Annotation is not automatically exported and must be validated in UI manually.

Default: "never"
locale
string

Typical originating region of documents processed in this queue specified in the locale format. If auto option is chosen, the locale will be detected automatically if the organization group has access to Aurora engine. Otherwise, default option (en_GB) will be used.

The locale field is a hint for the AI Engine on how to resolve some ambiguous cases during data extraction, concerning e.g. date formats or decimal separators that may depend on the locale. For example, in US the typical date format is mm/dd/yyyy whilst in Europe it is dd.mm.yyyy. A date such as "12. 6. 2018" will be extracted as Jun 12 when locale is en_GB, while the same date will be extracted as Dec 6 when locale is en_US.

Default: "en_GB"
metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
use_confirmed_state
boolean

Affects exporting - when true, confirm endpoint transitions annotation to confirmed status instead to exporting.

Default: false
document_lifetime
string | null

Data retention period -- annotations will be automatically purged this time after their creation. The format of the value is '[DD] [HH:[MM:]]ss[.uuuuuu]', e.g. 90 days retention can be set as '90 00:00:00'. Please keep in mind that purging documents in Rossum can limit its learning capabilities. This is a priced feature and has no effect unless enabled.

Default: null
settings
object

Queue UI settings.

Default: {}
columns
deprecated
list[object]

(Deprecated, use annotation_list_table instead) List that contains schema ids to be shown on a dashboard.

Default: []
hide_export_button
boolean

Toggle to uncover "Export" button on dashboard (useful when queue.use_confirmed_state = true), which allows manual export of annotations in confirmed status.

Default: true
autopilot
object | null

Autopilot configuration describing which fields can be confirmed automatically.

Default: null
accepted_mime_types
list[string]

List of MIME types which can be uploaded to the queue. This can contain wildcards such as image/* or exact type like application/pdf.

Default: []
asynchronous_export
deprecated
boolean

(Deprecated) Always set to true. The confirm endpoint returns immediately and hooks' and connector's save endpoint is called asynchronously later on. This value is used only when queue does not have a connector.

Default: true
automation
object

Queue automation settings.

Default: {}
automate_duplicates
boolean

When set to true, automation will be enabled for documents that have a duplicates. Disabled if parameter is false.

Default: true
automate_suggested_edit
boolean

When set to true, automation will be enabled for annotations containing suggested edits. Disabled if parameter is false.

Default: false
rejection_config
object

Queue rejection settings.

enabled
boolean

Dashboard Rejected is visible in application when enabled is set to true.

Default: true
suggested_recipients_sources
list[object]

Queue suggested email recipients settings.

source
"email_header" | "extracted_value" | "vendor_database" | "queue_mailing_history" | "organization_users"

Indicates source of the suggested recipients email address. email_header - Email is taken from the sender in header of the email. extracted_value - Email is extracted from annotation data - schema_id is used to find requested value. vendor_database - Email is extracted from annotation data - schema_id is used to find requested value. Value is filled by vendor matching connector. queue_mailing_history - Emails are taken from all the recipient inside all the emails send inside the email's queue. organization_users - Emails are taken from the users of related organization.

Default: "email_header"
schema_id
string

Used for finding appropriate datapoint value in annotation data (necessary only for vendor_database and extracted_value sources).

suggested_edit
"suggest" | "disable"

Allow to split document (semi-)automatically. Allowed values are suggest and disable.

Default: "disable"
dashboard_customization
object

Dashboard customization settings.

all_documents
boolean

When set to true, all UI tabs are merged into one, so the documents with different statuses are mixes in one tab instead of having its own one.

Default: false
confirmed
boolean

When set to true, UI tab for confirmed documents will be shown. Relates to the queue settings attribute use_confirmed_state is set to true.

Default: true
deleted
boolean

When set to true, UI tab for documents in deleted state will be shown.

Default: true
exported
boolean

When set to true, UI tab for documents in exported state will be shown.

Default: true
postponed
boolean

When set to true, UI tab for documents in postponed state will be shown.

Default: true
rejected
boolean

When set to true, UI tab for documents in rejected state will be shown.

Default: true
to_review
boolean

When set to true, UI tab for documents in to_review state will be shown.

Default: true
email_notifications
object

Queue email notifications settings.

recipient
object | null

Information about email address to send notifications to (e.g. about failed import). It contains keys email and name.

Default: null
unprocessable_attachments
boolean

Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply.

Default: false
email_with_no_attachments
boolean

Whether to send notification when no processable documents were found.

Default: true
postponed_annotations
boolean

Whether to send notification when annotation is postponed.

Default: false
deleted_annotations
boolean

Whether to send notification when annotation is deleted.

Default: false
workflows
object

Queue workflows settings. Talk to your Rossum representative to enable workflows for your queue.

enabled
boolean

Dashboard Workflows is visible in application when enabled is set to true. Also enables the workflow automation.

Default: false
bypass_workflows_allowed
boolean

Whether to allow to confirm annotation with option skip_workflows=true.

Default: false
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

upload_values
list[object]

Configuration of values to be specified during upload.

Default: []
id
string

ID of the value.

type
"values" | "metadata"

Type of the value - values or metadata — specify how to pass the value.

Default: "values"
data_type
"enum" | "string"

Data type of the value - enum or string.

Default: "string"
label
string

Label to be used in UI.

enum_options
array | null

List of objects with value and label fields. Only allowed for enum type.

Default: null
required
boolean

Whether the value is required to be set during upload.

Default: false
ui_upload_enabled
boolean

Flag for enabling upload for particular queue in Rossum UI.

Default: true
ui_on_edit_confirm
"annotation_list" | "edit_next" | "validate_first"

Changes edit screen confirm button behavior. Allowed values are annotation_list, edit_next, validate_first.

Default: "validate_first"
ui_validation_screen_enabled
boolean

Flag for enabling validation screen for a particular queue in Rossum UI. If disabled, opening of a document will trigger a redirect to an edit screen.

Default: true
ui_edit_values
list[object]

Configuration of values to be specified during edit_pages.

Default: []
id
string

ID of the value.

label
string

Label to be used in UI.

data_type
"enum" | "string"

Type of the value - enum or string.

enum_options
array | null

List of objects with value and label fields. Only allowed for enum data_type.

Default: null
required
boolean

Whether the value is required to be set during edit.

Default: false
workflows
list[object]

Workflows set for the queue.

Default: []
url
URL

Url of the workflow object.

priority
integer

Priority of the linked workflow. Designate the order of their evaluation (lower number means it's evaluated sooner).

Response

200OK

OK

Attribute
Type
Description
id
read-only
integer

ID of the queue.

name
string

Name of the queue (max. 255 characters).

maxLength: 255
url
read-only
URL

URL of the queue.

workspace
URL

Workspace in which the queue should be placed (it can be set to null, but bare in mind that it will make the queue invisible in the Rossum UI and it may cause some unexpected consequences).

connector
URL

Connector associated with the queue.

Default: null
webhooks
deprecated
list[URL]

(Deprecated) Webhooks associated with the queue (serves as an alias for hooks attribute).

Default: []
hooks
list[URL]

Hooks associated with the queue.

Default: []
schema
URL

Schema which will be applied to annotations in this queue.

inbox
URL

Inbox for import to this queue.

Default: null
users
list[URL]

Users associated with this queue.

Default: []
session_timeout
string

Time before annotation will be returned from reviewing status to to_review (timeout is evaluated every 10 minutes).

Default: "01:00:00"
rir_url
deprecated
URL

(Deprecated) Use generic_engine or dedicated_engine to set AI Core Engine.

Default: null
rir_params
string | null

URL parameters to be passed to the AI Core Engine. More specific AI Core Engine parameters influencing the extraction may be set using this field.

Publicly available parameters:

  • effective_page_count (int): Limits the extraction to the first effective_page_count pages of the document. Useful to prevent data extraction from additional pages of unrelated, but included documents. Default: 32 (pages to be extracted from a document).
  • tables (boolean): Allows disabling line item data extraction. Useful to speed up data extraction when line item details are not required, especially on long documents with large tables. Default: true (line items are being extracted).
Default: null
dedicated_engine
URL

Dedicated engine used for processing documents uploaded to this queue. If dedicated_engine is set generic_engine must be null. If both engines are null, a default generic one gets set.

Default: null
generic_engine
URL

Generic engine used for processing documents uploaded to this queue. If generic_engine is set dedicated_engine must be null. If both engines are null, a default generic one gets set.

Default: null
counts
read-only
object

Count of annotations per status.

importing
integer
split
integer
failed_import
integer
to_review
integer
reviewing
integer
confirmed
integer
exporting
integer
postponed
integer
failed_export
integer
exported
integer
deleted
integer
purged
integer
rejected
integer
default_score_threshold
number (float)

Threshold used to automatically validate field content based on AI confidence scores.

min: 0, max: 1Default: 0.8
automation_enabled
boolean

Toggle for switching automation on/off.

Default: false
automation_level
"never" | "confident" | "always"

Set level of automation. always - Auto-export all documents with no validation errors. When there is an error triggered for a non-required field, such values are deleted and export is re-tried. confident - Auto-export documents with at least one validation source and no validation errors. never - Annotation is not automatically exported and must be validated in UI manually.

Default: "never"
locale
string

Typical originating region of documents processed in this queue specified in the locale format. If auto option is chosen, the locale will be detected automatically if the organization group has access to Aurora engine. Otherwise, default option (en_GB) will be used.

The locale field is a hint for the AI Engine on how to resolve some ambiguous cases during data extraction, concerning e.g. date formats or decimal separators that may depend on the locale. For example, in US the typical date format is mm/dd/yyyy whilst in Europe it is dd.mm.yyyy. A date such as "12. 6. 2018" will be extracted as Jun 12 when locale is en_GB, while the same date will be extracted as Dec 6 when locale is en_US.

Default: "en_GB"
metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
use_confirmed_state
boolean

Affects exporting - when true, confirm endpoint transitions annotation to confirmed status instead to exporting.

Default: false
document_lifetime
string | null

Data retention period -- annotations will be automatically purged this time after their creation. The format of the value is '[DD] [HH:[MM:]]ss[.uuuuuu]', e.g. 90 days retention can be set as '90 00:00:00'. Please keep in mind that purging documents in Rossum can limit its learning capabilities. This is a priced feature and has no effect unless enabled.

Default: null
status
read-only
"active" | "deletion_requested" | "deletion_in_progress" | "deletion_failed"

Current status of the queue. active - This is the default status. Queue is usable. deletion_requested - Queue is marked for deletion (by calling DELETE /v1/queues/<id>). Will be asynchronously deleted after delete_after. deletion_in_progress - Queue is currently being deleted. When a queue has this status some raise conditions may occur as the related objects are being gradually deleted. deletion_failed - Something wrong happened in the process of queue deletion. The queue may be in an inconsistent state.

Please note, that document import (via upload as well as email) is disabled while the queue status is one of deletion_requested, deletion_in_progress, deletion_failed.

Default: "active"
modified_by
read-only
URL

User that last modified the object.

modified_at
read-only
datetime

Timestamp of last modification.

settings
object

Queue UI settings.

Default: {}
columns
deprecated
list[object]

(Deprecated, use annotation_list_table instead) List that contains schema ids to be shown on a dashboard.

Default: []
hide_export_button
boolean

Toggle to uncover "Export" button on dashboard (useful when queue.use_confirmed_state = true), which allows manual export of annotations in confirmed status.

Default: true
autopilot
object | null

Autopilot configuration describing which fields can be confirmed automatically.

Default: null
accepted_mime_types
list[string]

List of MIME types which can be uploaded to the queue. This can contain wildcards such as image/* or exact type like application/pdf.

Default: []
asynchronous_export
deprecated
boolean

(Deprecated) Always set to true. The confirm endpoint returns immediately and hooks' and connector's save endpoint is called asynchronously later on. This value is used only when queue does not have a connector.

Default: true
automation
object

Queue automation settings.

Default: {}
automate_duplicates
boolean

When set to true, automation will be enabled for documents that have a duplicates. Disabled if parameter is false.

Default: true
automate_suggested_edit
boolean

When set to true, automation will be enabled for annotations containing suggested edits. Disabled if parameter is false.

Default: false
rejection_config
object

Queue rejection settings.

enabled
boolean

Dashboard Rejected is visible in application when enabled is set to true.

Default: true
suggested_recipients_sources
list[object]

Queue suggested email recipients settings.

source
"email_header" | "extracted_value" | "vendor_database" | "queue_mailing_history" | "organization_users"

Indicates source of the suggested recipients email address. email_header - Email is taken from the sender in header of the email. extracted_value - Email is extracted from annotation data - schema_id is used to find requested value. vendor_database - Email is extracted from annotation data - schema_id is used to find requested value. Value is filled by vendor matching connector. queue_mailing_history - Emails are taken from all the recipient inside all the emails send inside the email's queue. organization_users - Emails are taken from the users of related organization.

Default: "email_header"
schema_id
string

Used for finding appropriate datapoint value in annotation data (necessary only for vendor_database and extracted_value sources).

suggested_edit
"suggest" | "disable"

Allow to split document (semi-)automatically. Allowed values are suggest and disable.

Default: "disable"
dashboard_customization
object

Dashboard customization settings.

all_documents
boolean

When set to true, all UI tabs are merged into one, so the documents with different statuses are mixes in one tab instead of having its own one.

Default: false
confirmed
boolean

When set to true, UI tab for confirmed documents will be shown. Relates to the queue settings attribute use_confirmed_state is set to true.

Default: true
deleted
boolean

When set to true, UI tab for documents in deleted state will be shown.

Default: true
exported
boolean

When set to true, UI tab for documents in exported state will be shown.

Default: true
postponed
boolean

When set to true, UI tab for documents in postponed state will be shown.

Default: true
rejected
boolean

When set to true, UI tab for documents in rejected state will be shown.

Default: true
to_review
boolean

When set to true, UI tab for documents in to_review state will be shown.

Default: true
email_notifications
object

Queue email notifications settings.

recipient
object | null

Information about email address to send notifications to (e.g. about failed import). It contains keys email and name.

Default: null
unprocessable_attachments
boolean

Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply.

Default: false
email_with_no_attachments
boolean

[...]
